Index: /code/branches/menue/data/gui/layouts/SingleplayerConfigMenu.layout
===================================================================
--- /code/branches/menue/data/gui/layouts/SingleplayerConfigMenu.layout	(revision 8927)
+++ /code/branches/menue/data/gui/layouts/SingleplayerConfigMenu.layout	(revision 8927)
@@ -0,0 +1,51 @@
+<?xml version="1.0" encoding="UTF-8"?>
+
+<GUILayout >
+    <Window Type="MenuWidgets/StaticImage" Name="orxonox/SingleplayerConfigMenu/Background" >
+        <Property Name="FrameEnabled" Value="False" />
+        <Property Name="InheritsAlpha" Value="False" />
+        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
+        <Property Name="BackgroundEnabled" Value="False" />
+        <Window Type="MenuWidgets/StaticText" Name="orxonox/SingleplayerConfigMenu/ConfigWindow" >
+            <Property Name="Text" Value="Miscellaneous" />
+            <Property Name="Alpha" Value="0.8" />
+            <Property Name="InheritsAlpha" Value="False" />
+            <Property Name="HorzFormatting" Value="HorzCentred" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="VertFormatting" Value="TopAligned" />
+            <Property Name="UnifiedAreaRect" Value="{{0.15,0},{0.2125,0},{0.85,0},{0.6375,0}}" />
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/SingleplayerConfigMenu/Wrapper" >
+                <Property Name="TextColours" Value="FF4444FF" />
+                <Property Name="InheritsAlpha" Value="False" />
+                <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                <Property Name="HorzFormatting" Value="HorzCentred" />
+                <Property Name="VertFormatting" Value="TopAligned" />
+                <Property Name="UnifiedAreaRect" Value="{{0.05,0},{0.15,0},{0.95,0},{0.92,0}}" />
+                <Window Type="MenuWidgets/ScrollablePane" Name="orxonox/SingleplayerConfigMenu/MiscConfigPane" >
+                    <Property Name="ContentArea" Value="l:0 t:0 r:0 b:0" />
+                    <Property Name="HorzStepSize" Value="0.005" />
+                    <Property Name="VertStepSize" Value="0.005" />
+                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+                    <Property Name="HorzOverlapSize" Value="0.01" />
+                    <Property Name="UnifiedAreaRect" Value="{{0.005,0},{0.01,0},{0.995,0},{0.99,0}}" />
+                    <Property Name="VertOverlapSize" Value="0.01" />
+                    <Property Name="HorzScrollPosition" Value="0" />
+                    <Property Name="VertScrollPosition" Value="0" />
+                </Window>
+            </Window>
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/SingleplayerConfigMenu/CancelButton" >
+            <Property Name="Text" Value="Cancel" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.25,0},{0.725,0},{0.4,0},{0.775,0}}" />
+            <Event Name="Clicked" Function="SingleplayerConfigMenu.SingleplayerConfigCancelButton_clicked"/>
+        </Window>
+        <Window Type="MenuWidgets/Button" Name="orxonox/SingleplayerConfigMenu/OKButton" >
+            <Property Name="Text" Value="OK" />
+            <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.6,0},{0.725,0},{0.75,0},{0.775,0}}" />
+            <Event Name="Clicked" Function="SingleplayerConfigMenu.SingleplayerConfigOKButton_clicked"/>
+        </Window>
+    </Window>
+</GUILayout>
Index: /code/branches/menue/data/gui/layouts/SingleplayerMenu.layout
===================================================================
--- /code/branches/menue/data/gui/layouts/SingleplayerMenu.layout	(revision 8926)
+++ /code/branches/menue/data/gui/layouts/SingleplayerMenu.layout	(revision 8927)
@@ -15,5 +15,5 @@
             <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
             <Property Name="VertFormatting" Value="TopAligned" />
-            <Property Name="UnifiedAreaRect" Value="{{0.2,0},{0.2,0},{0.8,0},{0.7,0}}" />
+            <Property Name="UnifiedAreaRect" Value="{{0.2,0},{0.15,0},{0.8,0},{0.7,0}}" />
             <Window Type="MenuWidgets/TabControl" Name="orxonox/SingleplayerTabControl" >
                 <Property Name="TabHeight" Value="{0,26.4388}" />
@@ -25,27 +25,12 @@
                 <Property Name="AlwaysOnTop" Value="True" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.25,0},{0.9,0},{0.7,0}}" />
+                <Property Name="UnifiedAreaRect" Value="{{0.55,0},{0.25,0},{0.9,0},{0.675,0}}" />
             </Window>
-            <Window Type="MenuWidgets/StaticText" Name="orxonox/SingleplayerLevelDescriptionWrapper" >
+            <Window Type="MenuWidgets/StaticText" Name="orxonox/SingleplayerLevelDescription" >
                 <Property Name="AlwaysOnTop" Value="True" />
                 <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                <Property Name="HorzFormatting" Value="HorzCentred" />
-                <Property Name="VertFormatting" Value="TopAligned" />
-                <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.75,0},{0.9,0},{0.85,0}}" />
-                <Window Type="MenuWidgets/ScrollablePane" Name="orxonox/SingleplayerLevelDescriptionPane" >
-                    <Property Name="ContentArea" Value="l:0 t:0 r:0 b:0" />
-                    <Property Name="HorzStepSize" Value="0.005" />
-                    <Property Name="VertStepSize" Value="0.005" />
-                    <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                    <Property Name="HorzOverlapSize" Value="0.01" />
-                    <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{0.997,0},{0.997,0}}" />
-                    <Property Name="VertOverlapSize" Value="0.01" />
-                    <Property Name="HorzScrollPosition" Value="0" />
-                    <Property Name="VertScrollPosition" Value="0" />
-                    <Window Type="MenuWidgets/StaticText" Name="orxonox/SingleplayerLevelDescription" >
-                        <Property Name="UnifiedMaxSize" Value="{{1,0},{1,0}}" />
-                        <Property Name="UnifiedAreaRect" Value="{{0,0},{0,0},{1,0},{1,0}}" />
-                    </Window>
-                </Window>
+                <Property Name="VertScrollbar" Value="True" />
+                <Property Name="HorzScrollbar" Value="True" />
+                <Property Name="UnifiedAreaRect" Value="{{0.1,0},{0.725,0},{0.9,0},{0.875,0}}" />
             </Window>
         </Window>
Index: /code/branches/menue/data/gui/scripts/SingleplayerConfigMenu.lua
===================================================================
--- /code/branches/menue/data/gui/scripts/SingleplayerConfigMenu.lua	(revision 8927)
+++ /code/branches/menue/data/gui/scripts/SingleplayerConfigMenu.lua	(revision 8927)
@@ -0,0 +1,5 @@
+-- SingleplayerMenu.lua
+
+local P = createMenuSheet("SingleplayerConfigMenu")
+
+return P
Index: /code/branches/menue/data/gui/scripts/SingleplayerMenu.lua
===================================================================
--- /code/branches/menue/data/gui/scripts/SingleplayerMenu.lua	(revision 8926)
+++ /code/branches/menue/data/gui/scripts/SingleplayerMenu.lua	(revision 8927)
@@ -11,11 +11,13 @@
     
     -- create tabs with desired tab as argument (nil for all)
-    P.createFilterTab("Tests", "test")
+    P.createFilterTab("Missions", "mission")
     P.createFilterTab("Tutorials", "tutorial")
     P.createFilterTab("Showcases", "showcase")
-    P.createFilterTab("SP?", "singleplayer")
     P.createFilterTab("Presentations", "presentation")
+    P.createFilterTab("Tests", "test")
     P.createFilterTab("Show All", nil)
-
+    
+    SingleplayerSelectionChanged()
+    
     --buttons are arranged in a 1x3 matrix
     P:setButton(1, 1, {
@@ -62,11 +64,9 @@
         tabName = tabName..tag
     end
-    -- add new tab window with desired name
-    local tabControl = winMgr:getWindow("orxonox/SingleplayerTabControl")
+    -- create new tab window with desired name
     local listbox = CEGUI.toListbox(winMgr:createWindow("MenuWidgets/Listbox", tabName))
     listbox:setText(name)
     listbox:setProperty("UnifiedMaxSize", "{{1,0},{1,0}}")
-    listbox:setProperty("UnifiedAreaRect", "{{0.05,0},{0.1,0},{0.5,0},{0.7,0}}")
-    tabControl:addChildWindow(tabName)
+    listbox:setProperty("UnifiedAreaRect", "{{0.05,0},{0.1,0},{0.5,0},{0.675,0}}")
     -- fill listbox with items
     listbox:resetList()
@@ -89,6 +89,9 @@
     table.insert(P.activeTabIndexes, tabIndexes)
     listbox:subscribeEvent("ItemSelectionChanged", "SingleplayerSelectionChanged")
+    local tabControl = winMgr:getWindow("orxonox/SingleplayerTabControl")
     tabControl:subscribeEvent("TabSelectionChanged", "SingleplayerSelectionChanged")
-    SingleplayerSelectionChanged()
+    if listbox:getItemCount() > 0 then
+        tabControl:addChildWindow(tabName)
+    end
 end
 
@@ -108,15 +111,15 @@
 
 function SingleplayerSelectionChanged(e)
+    local levelImage = winMgr:getWindow("orxonox/SingleplayerLevelImage")
+    local levelDescription = winMgr:getWindow("orxonox/SingleplayerLevelDescription")
     local level = P.SingleplayerGetSelectedLevel()
     if level ~= nil then
         local levelXMLFilename = level:getXMLFilename()
         local imageName = level:getScreenshot()
-        local levelImage = winMgr:getWindow("orxonox/SingleplayerLevelImage")
         levelImage:setProperty("Image", "set:"..levelXMLFilename..imageName.." image:full_image")
-        local levelDescription = winMgr:getWindow("orxonox/SingleplayerLevelDescription")
-        local height = getStaticTextWindowHeight(levelDescription)
---        local width = getStaticTextWindowWidth(levelDescription)
-        levelDescription:setSize(CEGUI.UVector2(CEGUI.UDim(1.0, -P.scrollbarWidth), CEGUI.UDim(0.0, height)))
         levelDescription:setText(level:getDescription())
+    else
+        levelImage:setProperty("Image", nil)
+        levelDescription:setText("")
     end
 end
@@ -131,5 +134,5 @@
 
 function P.SingleplayerConfigButton_clicked(e)
-    hideMenuSheet(P.name)
+    showMenuSheet("SingleplayerConfigMenu", true)
 end
 
@@ -139,3 +142,2 @@
 
 return P
-
Index: /code/branches/menue/data/levels/asteroids.oxw
===================================================================
--- /code/branches/menue/data/levels/asteroids.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/asteroids.oxw	(revision 8927)
@@ -1,5 +1,6 @@
 <LevelInfo
  name = "Asteroids Race"
- description = "testmap for gametype asteroid race"
+ description = "Testmap for gametype asteroid race"
+ tags = "test"
  screenshot = "asteroids.png"
 />
Index: /code/branches/menue/data/levels/docking.oxw
===================================================================
--- /code/branches/menue/data/levels/docking.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/docking.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Transporter"
  description = "Level with a Transporter. Demonstrates the docking system."
- tags = ""
+ tags = "showcase"
  screenshot = "transporter.png"
 />
Index: /code/branches/menue/data/levels/dynamicMatch.oxw
===================================================================
--- /code/branches/menue/data/levels/dynamicMatch.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/dynamicMatch.oxw	(revision 8927)
@@ -1,5 +1,6 @@
 <LevelInfo
  name = "Dynamic Match"
- description = "In progress -level for dynamicmatch"
+ description = "In progress - Level for dynamicmatch"
+ tags = "test"
  screenshot = "dynamicMatch.png"
 />
Index: /code/branches/menue/data/levels/fightInOurBack.oxw
===================================================================
--- /code/branches/menue/data/levels/fightInOurBack.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/fightInOurBack.oxw	(revision 8927)
@@ -2,5 +2,5 @@
   name = "Fight in our Back"
   description = "Our fleet is far ahead of us. We need to get rid of all the enemies in its back, because we do not want our enemies to attack from everywhere. So let us clear this Sector!"
-  tags = ""
+  tags = "mission"
   screenshot = "fightinourback.png"
 />
Index: /code/branches/menue/data/levels/lastManStanding.oxw
===================================================================
--- /code/branches/menue/data/levels/lastManStanding.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/lastManStanding.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Last Man Standing"
  description = "Be the sole survivor."
- tags = ""
+ tags = "mission"
  screenshot = "lastmanstanding.png"
 />
Index: /code/branches/menue/data/levels/lastTeamStanding.oxw
===================================================================
--- /code/branches/menue/data/levels/lastTeamStanding.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/lastTeamStanding.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Last Team Standing"
  description = "Survive as a team."
- tags = "singleplayer"
+ tags = "mission"
  screenshot = "lastteamstanding.png"
 />
Index: /code/branches/menue/data/levels/lastTeamStandingII.oxw
===================================================================
--- /code/branches/menue/data/levels/lastTeamStandingII.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/lastTeamStandingII.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "On the fly"
  description = "Survive as a team."
- tags = ""
+ tags = "mission"
  screenshot = "onthefly.png"
 />
Index: /code/branches/menue/data/levels/pong.oxw
===================================================================
--- /code/branches/menue/data/levels/pong.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/pong.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Pong"
  description = "Pong in space!"
- tags = ""
+ tags = "showcase"
  screenshot = "pong.png"
 />
Index: /code/branches/menue/data/levels/portals.oxw
===================================================================
--- /code/branches/menue/data/levels/portals.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/portals.oxw	(revision 8927)
@@ -3,5 +3,5 @@
  name = "Portals"
  description = "Level for testing portals"
- tags = "tutorial"
+ tags = "test"
  screenshot = "portals.png"
 />
Index: /code/branches/menue/data/levels/presentationFS11.oxw
===================================================================
--- /code/branches/menue/data/levels/presentationFS11.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/presentationFS11.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Presentation FS11"
  description = "Presentation level spring semester '11"
- tags = "test"
+ tags = "presentation"
  screenshot = "presentationfs11.png"
 />
Index: /code/branches/menue/data/levels/princessAeryn.oxw
===================================================================
--- /code/branches/menue/data/levels/princessAeryn.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/princessAeryn.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "The Tale of Princess Aeryn"
  description = "The Tale of the elusive but beautiful Princess Aeryn"
- tags = ""
+ tags = "mission"
  screenshot = "thetaleofprincessaeryn.png"
 />
Index: /code/branches/menue/data/levels/screenshot.oxw
===================================================================
--- /code/branches/menue/data/levels/screenshot.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/screenshot.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Screenshot"
  description = "Level to make awesome screenshots in."
- tags = "test"
+ tags = "test, showcase"
  screenshot = "screenshot.png"
 />
Index: /code/branches/menue/data/levels/sound.oxw
===================================================================
--- /code/branches/menue/data/levels/sound.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/sound.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Sound showcase"
  description = "Level to test and showcase sound."
- tags = "test"
+ tags = "test, showcase"
  screenshot = "soundshowcase.png"
 />
Index: /code/branches/menue/data/levels/teamBaseMatch.oxw
===================================================================
--- /code/branches/menue/data/levels/teamBaseMatch.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/teamBaseMatch.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Teambase Match"
  description = "Fight for the bases."
- tags = ""
+ tags = "mission"
  screenshot = "teambasematch.png"
 />
Index: /code/branches/menue/data/levels/teamDeathMatch.oxw
===================================================================
--- /code/branches/menue/data/levels/teamDeathMatch.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/teamDeathMatch.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Team Deathmatch"
  description = "Fight against each other in teams."
- tags = ""
+ tags = "mission"
  screenshot = "teamdeathmatch.png"
 />
Index: /code/branches/menue/data/levels/tetris.oxw
===================================================================
--- /code/branches/menue/data/levels/tetris.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/tetris.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "Tetris"
  description = "Tetris in space!"
- tags = ""
+ tags = "showcase"
  screenshot = "tetris.png"
 />
Index: /code/branches/menue/data/levels/theTimeMachine.oxw
===================================================================
--- /code/branches/menue/data/levels/theTimeMachine.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/theTimeMachine.oxw	(revision 8927)
@@ -2,5 +2,5 @@
  name = "The Time Machine"
  description = "A simple level. The only goal is to defeat as much enemies as you can."
- tags = "singleplayer"
+ tags = "mission"
  screenshot = "thetimemachine.png"
 />
Index: /code/branches/menue/data/levels/underAttack.oxw
===================================================================
--- /code/branches/menue/data/levels/underAttack.oxw	(revision 8926)
+++ /code/branches/menue/data/levels/underAttack.oxw	(revision 8927)
@@ -2,4 +2,5 @@
  name = "UnderAttack testing"
  description = "A simple testlevel"
+ tags = "test"
  screenshot = "underattack.png"
 />
Index: /code/branches/menue/src/orxonox/LevelInfo.cc
===================================================================
--- /code/branches/menue/src/orxonox/LevelInfo.cc	(revision 8926)
+++ /code/branches/menue/src/orxonox/LevelInfo.cc	(revision 8927)
@@ -87,9 +87,8 @@
         {
             LevelInfoItem::possibleTags_s.insert("test");
-            LevelInfoItem::possibleTags_s.insert("singleplayer");
-            LevelInfoItem::possibleTags_s.insert("multiplayer");
             LevelInfoItem::possibleTags_s.insert("showcase");
             LevelInfoItem::possibleTags_s.insert("tutorial");
             LevelInfoItem::possibleTags_s.insert("presentation");
+            LevelInfoItem::possibleTags_s.insert("mission");
         }
     }
